aboutsummaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/brew7
1 files changed, 6 insertions, 1 deletions
diff --git a/bin/brew b/bin/brew
index e58fa38db..b8e726c60 100755
--- a/bin/brew
+++ b/bin/brew
@@ -75,13 +75,18 @@ begin
exit 0
end
+ require 'brewkit'
+
if ARGV.verbose?
- require 'brewkit'
ohai "Build Environment"
%w[CFLAGS LDFLAGS CPPFLAGS MAKEFLAGS CC CXX].each do |f|
puts "#{f}: #{ENV[f]}" unless ENV[f].to_s.empty?
end
end
+
+ unless system "which #{ENV['CC'] or 'cc'} &> /dev/null" and $?.success?
+ raise "We cannot find a c compiler, have you installed the latest Xcode?"
+ end
# we need to ensure a pristine ENV for each process or the formula
# will start with the ENV from the previous build